> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raven.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Profile

> Gets the requested user profile

### Parameters

<Param path="app_id" type="string" required>
  Your AppId
</Param>

<Param path="user_id" type="string" required>
  Your user identifier
</Param>

<RequestExample>
  ```json Request Example theme={null}
  GET /v1/apps/{{app_id}}/users/{{user_id}} HTTP/1.1
  Host: https://api.ravenapp.dev
  Authorization: AuthKey {{secret_key}}
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Response Example theme={null}
  {
    "user_sid": "7cf620d5-8a7d-42d0-aceb-8f51eabddb05",
    "user_id": "john",
    "mobile": "+919876543210",
    "email": "s@ravenapp.dev",
    "whatsapp_mobile": "+919876543210",
    "devices": [
      {
        "created_at": 1613473378532,
        "updated_at": 1613473378532,
        "platform": "android",
        "fcm_token": "asidjaoijddoijqdoiqsjwodjqwodjioqjdijoqdj",
        "device_sid": "02b5a1ee-40a2-4a08-ad92-d6b508cf9819",
        "notifications_disabled": false
      }
    ],
    "created_at": 1612976050750,
    "updated_at": 1616611446951
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.